# Interface IsNumberOptions

Options to be passed to IsNumber decorator.

interface IsNumberOptions {
allowInfinity?: boolean;
allowNaN?: boolean;
maxDecimalPlaces?: number;
strict?: boolean;
}

- Defined in packages/angular/forms/src/lib/validators/is-number.ts:9

#####
Index

### Properties

allowInfinity?
allowNaN?
maxDecimalPlaces?
strict?

## Properties

### `Optional` allowInfinity

allowInfinity?: boolean

- Defined in packages/angular/forms/src/lib/validators/is-number.ts:11

### `Optional` allowNaN

allowNaN?: boolean

- Defined in packages/angular/forms/src/lib/validators/is-number.ts:10

### `Optional` maxDecimalPlaces

maxDecimalPlaces?: number

- Defined in packages/angular/forms/src/lib/validators/is-number.ts:12

### `Optional` strict

strict?: boolean

- Defined in packages/angular/forms/src/lib/validators/is-number.ts:13